<?php
require('conexion.php');

$salida = "";
$query="CALL sp_cons_productos(1,1)";
$aux=0;
if(isset($_POST['consulta'])){
    $q=$_POST['consulta'];
    $query="SELECT A.id 'ID', A.pro_clave 'CLAVE', A.pro_nombre 'NOMBRE', A.pro_precio_venta 'PRECIO' FROM productos A WHERE pro_clave LIKE '%".$q."%' OR pro_nombre LIKE '%".$q."%' OR pro_precio_venta LIKE '%".$q."%' OR pro_clasificaciones LIKE '%".$q."%' LIMIT 10";
}

$resultado = query($query);

if($resultado->num_rows > 0){
    $salida.="<table class='table' name='add_producto' id='add_producto'>
    <thead style='background: #D5D8DC;'>
      <tr>
      <th class='align-middle text-center' scope='col'>Id</th>
        <th class='align-middle text-center' scope='col'>Clave</th>
        <th class='align-middle text-center' scope='col'>Nombre del Producto</th>
        <th class='align-middle text-center' scope='col'>Costo</th>
        
      </tr>
    </thead>
    <tbody class='tabla_prod_nta_body' >";
    while($fila = mysqli_fetch_assoc($resultado)){
        $salida.="<tr'>
        <td class='align-middle text-center'>".$fila['ID']."</td>
        <td class='align-middle text-center'>".$fila['CLAVE']."</td>
        <td class='align-middle text-center'>".$fila['NOMBRE']."</td>
        <td class='align-middle text-center'>".$fila['PRECIO']."</td>
        
      </tr>";
      $aux+=1;
    }
}else{
    $salida = "No hay resultados ";
}
echo $salida;
?>